Vivaldi - nie mogę zainstalować

ROSA Linux - forum społeczności polskojęzycznej. Wszyscy zainteresowani i przyjaciele ROSA Desktop są mile widziani. Pytaj, wspieraj, zgłaszaj problemy i zapotrzebowania na pakiety oprogramowania. W miarę możliwości znajdziesz tutaj wsparcie w rozwiązaniu problemów technicznych z instalacją oraz użytkowaniem tej przyjaznej dla nowicjuszy dystrybucji Linuksa.
Ответить
mariuszp
Сообщения: 39
Зарегистрирован: 06 ноя 2013, 01:19
Operating system: 4.17.14-nrj-desktop-1rosa-x86_64

Vivaldi - nie mogę zainstalować

Сообщение mariuszp » 14 июн 2016, 21:16

Próbowałem zainstalować Vivaldi z rpm z ich strony, ale wygląda na to że mam już zainstalowany:

Код: Выделить всё

[root@mariusz-rosa mariusz]# rpm -Uvh vivaldi-stable-1.2.490.39-1.x86_64.rpm 
error: Niespełnione zależności:
        vivaldi-beta jest w konflikcie z vivaldi-stable-1.2.490.39-1.x86_64
a przecież

Код: Выделить всё

[root@mariusz-rosa mariusz]# rpm -qa | grep vivaldi
[root@mariusz-rosa mariusz]# 
Próbował ktoś?

Аватара пользователя
dareksmok
Сообщения: 296
Зарегистрирован: 27 июн 2013, 23:08
Operating system: ROSA Fresh R10 MATE - 64 bit
i5-4570 CPU @ 3.20GHz
NVIDIA GeForce GT 1030
8 GB RAM

Re: Vivaldi - nie mogę zainstalować

Сообщение dareksmok » 19 июн 2016, 13:01

Faktycznie nie da się zainstalować pakietu "vivaldi-stable-1.2.490.39-1.x86_64.rpm" z powodu konfliktu z vivaldi-beta. W tej sytuacji spróbowałem rozpakować archiwom vivaldi-stable-1.2.490.39-1.x86_64.rpm , (w przypadku mate , prawy klik rozpakuj tutaj) program uruchamiamy lewym dwuklikiem na pliku o nazwie vivaldi następnie gdy wyskoczy okno z opcją wyboru, należy wybrać pozycję "Uruchom", po czym program powinien uruchomić się w ciągu kliku sekund.

vivaldi-stable-1.2.490.39-1.x86_64/opt/vivaldi/vivaldi
========================
Pobieranie: http://www.thefilehippo.com/2015/08/viv ... aller.html
=======================

Po przeniesieniu katalogu vivaldi np: do Katalog domowy/Programy/vivaldi możemy utworzyć aktywator na pulpicie lub w menu programy, dzięki któremu uruchomimy przeglądarkę bez większych problemów.

======================================
Co najciekawsze pakietu vivaldi-beta nie można odinstalować poleceniem urpme vivaldi-beta, ponieważ system informuje nas że pakiet nie istnieje w systemie, wyszukiwanie za pomocą MATE Search Tool, też nie wykryło żadnych śladów w systemie.
Przeglądarka chodzi jak szalona :o
ROSA Fresh R10 MATE - 64 bit

mariuszp
Сообщения: 39
Зарегистрирован: 06 ноя 2013, 01:19
Operating system: 4.17.14-nrj-desktop-1rosa-x86_64

Re: Vivaldi - nie mogę zainstalować

Сообщение mariuszp » 20 июн 2016, 23:43

Dziwne, ale działa. Dzięki.

Stan8
Сообщения: 36
Зарегистрирован: 07 сен 2013, 16:31
Operating system: Rosa Desktop Fresh R1

Re: Vivaldi - nie mogę zainstalować

Сообщение Stan8 » 22 июн 2016, 22:25

Można zainstalować bez problemu używając opcji -nodeps :

32 bity:

Код: Выделить всё

sudo rpm -i --nodeps vivaldi-stable-1.2.490.39-1.i386.rpm
64 bity:

Код: Выделить всё

sudo rpm -i --nodeps vivaldi-stable-1.2.490.39-1.x86_64.rpm

Аватара пользователя
dareksmok
Сообщения: 296
Зарегистрирован: 27 июн 2013, 23:08
Operating system: ROSA Fresh R10 MATE - 64 bit
i5-4570 CPU @ 3.20GHz
NVIDIA GeForce GT 1030
8 GB RAM

Re: Vivaldi - nie mogę zainstalować

Сообщение dareksmok » 29 июн 2016, 10:34

Stan8 писал(а):Można zainstalować bez problemu używając opcji -nodeps :

32 bity:

Код: Выделить всё

sudo rpm -i --nodeps vivaldi-stable-1.2.490.39-1.i386.rpm
64 bity:

Код: Выделить всё

sudo rpm -i --nodeps vivaldi-stable-1.2.490.39-1.x86_64.rpm
====================================================================
Dzięki działa.
daro7@daro7-desktop ~/Pulpit $ sudo rpm -i --nodeps '/home/daro7/Pulpit/vivaldi-stable-1.2.490.39-1.x86_64.rpm'

Ufamy, że lokalny administrator udzielił odpowiedniego szkolenia.
Zwykle sprowadza się ono do tych trzech rzeczy:

1) należy respektować prywatność innych,
2) należy myśleć przed pisaniem,
3) z dużą władzą wiąże się duża odpowiedzialność.

Redirecting to /bin/systemctl start atd.service
update-alternatives: using /usr/bin/vivaldi-stable to provide /usr/bin/vivaldi (vivaldi) in auto mode
daro7@daro7-desktop ~/Pulpit $
ROSA Fresh R10 MATE - 64 bit

Robert
Сообщения: 252
Зарегистрирован: 29 мар 2016, 16:41
Operating system: Arch Linux Xfce+compiz - 64 Bit

Re: Vivaldi - nie mogę zainstalować

Сообщение Robert » 15 июл 2016, 14:27

https://cloud.mail.ru/public/HB2J/UYdjDbFcTA ja pobrałem wersje Vivaldi-beta i bez problemu się instaluje,ale co z tego skoro nie działa wyskakuje info błąd połączenia SSL.
Вложения
zrzut ekranu16.png
Arch Linux Xfce+compiz - 64Bit Linux User #621110

Аватара пользователя
dareksmok
Сообщения: 296
Зарегистрирован: 27 июн 2013, 23:08
Operating system: ROSA Fresh R10 MATE - 64 bit
i5-4570 CPU @ 3.20GHz
NVIDIA GeForce GT 1030
8 GB RAM

Re: Vivaldi - nie mogę zainstalować

Сообщение dareksmok » 15 июл 2016, 21:00

Robert писал(а):https://cloud.mail.ru/public/HB2J/UYdjDbFcTA ja pobrałem wersje Vivaldi-beta i bez problemu się instaluje,ale co z tego skoro nie działa wyskakuje info błąd połączenia SSL.
Wygląda na to że jest to wina wersji programu, po pobraniu i rozpakowaniu archiwum "vivaldi-beta-1.0.303.52-2-rosa2014.1.x86_64.rpm" - uruchomiłem program według powyższego schematu (szósty post powyżej), i okazało się że co drugi link w przeglądarce generuje podobny błąd.

Код: Выделить всё

/home/daro7/Pobrane/vivaldi-beta-1.0.303.52-2-rosa2014.1.x86_64/opt/vivaldi-beta/vivaldi-beta
ROSA Fresh R10 MATE - 64 bit

Ответить